Skip to main content
POST
/
rewards
/
payout-groups
Create Payout Group
curl --request POST \
  --url https://api.example.com/rewards/payout-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ledger": "<string>",
  "asset_type": "<string>",
  "jurisdiction": "<string>",
  "name": "<string>",
  "claimer_address": "<string>",
  "schedule_type": "DAILY"
}
'
{
  "group": {
    "id": "<string>",
    "ledger": "<string>",
    "asset_type": "<string>",
    "rate_id": "<string>",
    "jurisdiction": "<string>",
    "claimer_address": "<string>",
    "onchain_status": "<string>",
    "balance": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "manager_address": "<string>",
    "destination_address": "<string>",
    "onchain_group_id": "<string>",
    "balance_at": "2023-11-07T05:31:56Z",
    "last_claim_all_at": "2023-11-07T05:31:56Z"
  }
}
OAuth Scope
rewards:write_payout_groups

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
ledger
string
required

Ledger identifier.

asset_type
string
required

Asset type for this payout group.

jurisdiction
string
required

Jurisdiction for this payout group.

name
string
required

User-readable name for this group.

claimer_address
string
required

Address that will claim rewards for this group.

schedule_type
enum<string>
Available options:
DAILY

Response

200 - application/json

A successful response.

group
object